import { html as f } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (p, r, t, i) => {
  for (var e = i > 1 ? void 0 : i ? v(r, t) : r, l = p.length - 1, s; l >= 0; l--)
    (s = p[l]) && (e = (i ? s(r, t, e) : s(e)) || e);
  return i && e && a(r, t, e), e;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--microsoftCircleFilled", this.class = "c-pieIcon c-pieIcon--microsoftCircleFilled", this.name = "IconSocialMicrosoftCircleFilled";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--microsoftCircleFilled"><path fill-rule="evenodd" d="M4.237 2.315A6.781 6.781 0 0 1 8 1.175 6.79 6.79 0 0 1 14.78 8 6.781 6.781 0 1 1 4.237 2.315Zm3.473 5.4H5V5h2.726L7.71 7.715ZM5 11h2.71l.016-2.715H5V11Zm3.274 0H11V8.285H8.274V11Zm0-3.285H11V5H8.274v2.715Z" clip-rule="evenodd"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  h("icon-social-microsoft-circle-filled")
], o);
export {
  o as IconSocialMicrosoftCircleFilled
};
